# Google Test dependency
gtest_dep = dependency('gtest', main: true, required : true)
gtest_main = dependency('gtest_main', required: true)
gtest_nomain_dep = dependency('gtest', main: false, required : true)

# Subdirectories for unit and integration tests
subdir('dobj')
subdir('const')
subdir('meshIO')
subdir('probe')
subdir('config')
subdir('eos')
subdir('resource')
subdir('network')
subdir('composition')
subdir('poly')

# Subdirectories for sandbox tests
subdir('dobj_sandbox')
subdir('opatIO_sandbox')
subdir('composition_sandbox')

